## python-future 0.18.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Python-Future.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Python-Future.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Python-Future"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Python-Future"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-future 0.14.3

=== debian/changelog ===
python-future (0.14.3-1~bpo80+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2015 09:37:28 +0200

python-future (0.14.3-1) unstable; urgency=medium

  * Initial release. (Closes: #782250)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Mar 2015 13:22:19 +0100

=== debian/control ===
Source: python-future
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-pytest, python-unittest2, python3-pytest
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-future.git
Vcs-Git: git://anonscm.debian.org/openstack/python-future.git
Homepage: https://python-future.org

Package: python-future
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-future-doc
Description: single-source support for Python 3 and 2 - Python 2.x
 Future is the missing compatibility layer between Python 2 and Python 3. It
 allows one to use a single, clean Python 3.x-compatible codebase to support
 both Python 2 and Python 3 with minimal overhead.
 .
 The imports have no effect on Python 3. On Python 2, they shadow the
 corresponding builtins, which normally have different semantics on Python 3
 versus 2, to provide their Python 3 semantics.
 .
 This package contains the Python 2.x module.

Package: python3-future
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-future-doc
Description: Clean single-source support for Python 3 and 2 - Python 3.x
 Future is the missing compatibility layer between Python 2 and Python 3. It
 allows one to use a single, clean Python 3.x-compatible codebase to support
 both Python 2 and Python 3 with minimal overhead.
 .
 The imports have no effect on Python 3. On Python 2, they shadow the
 corresponding builtins, which normally have different semantics on Python 3
 versus 2, to provide their Python 3 semantics.
 .
 This package contains the Python 3.x module.

Package: python-future-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Clean single-source support for Python 3 and 2 - doc
 Future is the missing compatibility layer between Python 2 and Python 3. It
 allows one to use a single, clean Python 3.x-compatible codebase to support
 both Python 2 and Python 3 with minimal overhead.
 .
 The imports have no effect on Python 3. On Python 2, they shadow the
 corresponding builtins, which normally have different semantics on Python 3
 versus 2, to provide their Python 3 semantics.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/PythonCharmers/python-future.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-future; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-future; \
	done
	mv $(CURDIR)/debian/python-future/usr/bin/futurize $(CURDIR)/debian/python-future/usr/bin/python2-futurize
	mv $(CURDIR)/debian/python3-future/usr/bin/futurize $(CURDIR)/debian/python3-future/usr/bin/python3-futurize
	mv $(CURDIR)/debian/python-future/usr/bin/pasteurize $(CURDIR)/debian/python-future/usr/bin/python2-pasteurize
	mv $(CURDIR)/debian/python3-future/usr/bin/pasteurize $(CURDIR)/debian/python3-future/usr/bin/python3-pasteurize
	rm -rf $(CURDIR)/debian/python*-future/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) ; do \
		PYTHONPATH=.:./src python$$pyvers setup.py test ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=.:./src sphinx-build -b html docs debian/python-future-doc/usr/share/doc/python-future-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-future 0.15.2

=== debian/changelog ===
python-future (0.15.2-2~bpo8+1) jessie-backports; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports.
  * Explicitly choose pytest when building, because autodetection is not
    working on Jessie.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 18 May 2016 19:41:30 +0200

python-future (0.15.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * d/control: Bump Standards-Version.
  * d/control: Add a Testsuite field.
  * d/rules: Switch to pybuild. This removes dependency on the current
    Python version, hence closes: #822097.
  * d/copyright: Various fixes in license names and file format.
  * Add a patch to fix some failing tests with Python 3.5.
  * Remove configparser module and depends on python-configparser
    instead. Closes: #822157.

 -- Vincent Bernat <bernat@debian.org>  Wed, 04 May 2016 08:19:45 +0200

python-future (0.15.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Make DPMT the Maintainer and add myself to Uploaders.  (Closes: #797212)
    - Update Vcs-Git and Vcs-Browser headers to reflect the move to DPMT.
  * d/copyright: Fix multiple lintian warnings.
  * d/watch: Use pypi.debian.net redirector.
  * d/gbp.conf: Removed.
  * d/python{,3}-future.postrm: Removed to fix lintian warnings.  This
    duplicates functionality in the .prerm anyway, which is where lintian
    recommends the calls should go.
  * Converted to git-dpm as per DPMT (upcoming) standard.

 -- Barry Warsaw <barry@debian.org>  Tue, 15 Sep 2015 19:24:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: python-future
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Barry Warsaw <barry@debian.org>, Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
-Build-Depends-Indep: python-pytest, python-unittest2, python3-pytest
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-future.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-future.git
+               python3-setuptools,
+Build-Depends-Indep: openssl, python-pytest, python-unittest2, python3-pytest, ca-certificates, python-urllib3
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-future.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-future.git
 Homepage: https://python-future.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-future
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-configparser
 Suggests: python-future-doc
 Description: single-source support for Python 3 and 2 - Python 2.x
  Future is the missing compatibility layer between Python 2 and Python 3. It

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=future
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k 'not urllib and not test_remove_hooks_then_requests and not test_requests_cm'
export PYBUILD_BEFORE_TEST=cp pasteurize.py futurize.py {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/*.py

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_install:
	dh_install
	mv debian/python-future/usr/bin/futurize debian/python-future/usr/bin/python2-futurize
	mv debian/python3-future/usr/bin/futurize debian/python3-future/usr/bin/python3-futurize
	mv debian/python-future/usr/bin/pasteurize debian/python-future/usr/bin/python2-pasteurize
	mv debian/python3-future/usr/bin/pasteurize debian/python3-future/usr/bin/python3-pasteurize

override_dh_sphinxdoc:
	PYTHONPATH=.:./src sphinx-build -b html docs debian/python-future-doc/usr/share/doc/python-future-doc/html
	dh_sphinxdoc

## python-future 0.16.0

=== debian/changelog ===
python-future (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 21:47:52 +0100

python-future (0.15.2-5) unstable; urgency=medium

  * Team upload.
  * Bump required version of dh-python because test autodetection is
    not working in older versions
  * Bumped debhelper compat version to 11
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Add python3-lib2to3 to depends (Closes: #896216)
  * d/*.postinst: Prefer Python 3 version if both versions installed
    (Closes: #870038)
  * Add Python 3.7 support
  * Standards version is 4.2.0 now (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 20:06:43 +0200

python-future (0.15.2-4) unstable; urgency=medium

  * d/p/0005-Fixed-bytes-unit-tests-fail-on-Python-3.5.patch:
    Fixed FTBFS on Python 3.5 (Closes: #835243)

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Sep 2016 19:38:45 +0200

python-future (0.15.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python-all build dependency
  * Removed pre-depends on dpkg

  [ Vincent Bernat ]
  * Disable network access for Sphinx during build. Closes: #830602.

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Jul 2016 07:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>, Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python-all (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 11),
+               dh-python (>= 2.20160609~),
+               python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: openssl, python-pytest, python-unittest2, python3-pytest, ca-certificates, python-urllib3
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-future.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-future.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-future.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-future
 Homepage: https://python-future.org
 Testsuite: autopkgtest-pkg-python
 
 Package: python-future
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python:Depends}, python-configparser
 Suggests: python-future-doc
 Description: single-source support for Python 3 and 2 - Python 2.x
@@ -35,8 +34,7 @@
 
 Package: python3-future
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-lib2to3
 Suggests: python-future-doc
 Description: Clean single-source support for Python 3 and 2 - Python 3.x
  Future is the missing compatibility layer between Python 2 and Python 3. It
@@ -52,7 +50,6 @@
 Package: python-future-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Clean single-source support for Python 3 and 2 - doc
  Future is the missing compatibility layer between Python 2 and Python 3. It

## python-future 0.18.2

=== debian/changelog ===
python-future (0.18.2-5) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Don't run the _dummy_thread tests, the module is deprecated since
    3.7, and removed in 3.9 (Closes: #973114)
  * Remove Barry Warsaw from Uploaders,
    thanks Barry for all your work! (Closes: #970149)
  * Add debian/clean to prevent FTBFSx2
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Dec 2020 12:37:57 +0000

python-future (0.18.2-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-future-doc: Add Multi-Arch: foreign.

  [ Boyuan Yang ]
  * Set package python3-future as Multi-Arch: foreign.
    (Closes: #961042)
  * Bump debhelper compat to v13.
  * debian/rules: Use dh13 syntax.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2020 11:56:02 -0400

python-future (0.18.2-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937773

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 22:39:09 -0400

python-future (0.18.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release
    - compatible with python 3.8; Closes: #948420
  * debian/copyright
    - update upstream copyright notice
  * debian/patches
    - refresh patches, drop Python3.7-support.patch (addressed upstream)
  * debian/rules
    - exclude test_pow test, currently failing; reported upstream at
      https://github.com/PythonCharmers/python-future/issues/474
  * Use python3 sphinx to build the documentation, and as a
    PYBUILD_AFTER_BUILD_python3 target instead of overriding dh_sphinxdoc

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Feb 2020 22:10:56 -0500

=== debian/control ===
Source: python-future
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 2.20160609~),
               python3-all,
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: openssl, python3-pytest, ca-certificates
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-future.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-future
Homepage: https://python-future.org
Testsuite: autopkgtest-pkg-python

Package: python3-future
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3-lib2to3
Suggests: python-future-doc
Description: Clean single-source support for Python 3 and 2 - Python 3.x
 Future is the missing compatibility layer between Python 2 and Python 3. It
 allows one to use a single, clean Python 3.x-compatible codebase to support
 both Python 2 and Python 3 with minimal overhead.
 .
 The imports have no effect on Python 3. On Python 2, they shadow the
 corresponding builtins, which normally have different semantics on Python 3
 versus 2, to provide their Python 3 semantics.
 .
 This package contains the Python 3.x module.

Package: python-future-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Clean single-source support for Python 3 and 2 - doc
 Future is the missing compatibility layer between Python 2 and Python 3. It
 allows one to use a single, clean Python 3.x-compatible codebase to support
 both Python 2 and Python 3 with minimal overhead.
 .
 The imports have no effect on Python 3. On Python 2, they shadow the
 corresponding builtins, which normally have different semantics on Python 3
 versus 2, to provide their Python 3 semantics.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=future
export PYBUILD_TEST_ARGS=-k 'not urllib and not test_remove_hooks_then_requests and not test_requests_cm and not test_pow'
export PYBUILD_BEFORE_TEST=cp pasteurize.py futurize.py {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/*.py
export PYBUILD_AFTER_BUILD_python3=http_proxy=http://127.0.0.1:9 \
                                   https_proxy=https://127.0.0.1:9 \
				   PYTHONPATH={build_dir} {interpreter} -m sphinx -b html docs $(CURDIR)/docs/build/html

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

execute_after_dh_install:
	mv debian/python3-future/usr/bin/futurize debian/python3-future/usr/bin/python3-futurize
	mv debian/python3-future/usr/bin/pasteurize debian/python3-future/usr/bin/python3-pasteurize
